<h2>Historiques des données</h2>

<table
  id="dtForHistoricalData"
  class="table table-striped table-bordered table-sm historical-dt"
  cellspacing="0"
  width="100%"
>
  <thead>
    <tr>
      <th class="th-sm" rowspan="2">Date de la mesure</th>
      <th class="th-sm th-title" rowspan="1" colspan="4">
        Capteur 1
      </th>
      <th class="th-sm th-title" rowspan="1" colspan="4">
        Capteur 2
      </th>
    </tr>
    <tr>
      <th class="th-sm">Niveau de batterie</th>
      <th class="th-sm">Température</th>
      <th class="th-sm">Humidité</th>
      <th class="th-sm">Signal RSSI</th>
      <th class="th-sm">Niveau de batterie</th>
      <th class="th-sm">Température</th>
      <th class="th-sm">Humidité</th>
      <th class="th-sm">Signal RSSI</th>
    </tr>
  </thead>
  <tbody>
    {% for mesure in table_historical_values %}
    <tr>
      <td class="text-center">{{ mesure.date_time }}</td>
      {% for sensor in mesure.sensors_informations %}
      <td class="text-center">
        {{ (((sensor.sensor_battery_voltage_decrypt)*100)/36.7)|round(2,
        'floor') }}%
      </td>
      <td class="text-center">{{ sensor.sensor_temperature_decrypt }}°C</td>
      <td class="text-center">
        {% if sensor.sensor_humidity_decrypt == 'n.a' %} N.A {% else %} {{
        sensor.sensor_humidity_decrypt }}% {% endif %}
      </td>
      <td class="text-center">{{ sensor.sensor_rssi_decrypt }}dBm</td>
      {% endfor %}
    </tr>

    {% endfor %}
  </tbody>
  <tfoot>
    <tr>
      <th rowspan="2" class="th-sm">Date de la mesure</th>
      <th class="th-sm">Niveau de batterie</th>
      <th class="th-sm">Température</th>
      <th class="th-sm">Humidité</th>
      <th class="th-sm">Signal RSSI</th>
      <th class="th-sm">Niveau de batterie</th>
      <th class="th-sm">Température</th>
      <th class="th-sm">Humidité</th>
      <th class="th-sm">Signal RSSI</th>
    </tr>
    <tr>
      <th rowspan="1" colspan="4" class="th-sm">
        Capteur 1
      </th>
      <th rowspan="1" colspan="4" class="th-sm">
        Capteur 2
      </th>
    </tr>
  </tfoot>
</table>

{% block tablePaginationScript %}
<script>
  console.log("Table pagination activated");
  $(document).ready(function () {
    $("#dtForHistoricalData").DataTable();
  });
</script>
{% endblock %}
